MoManager uses poedit

MoManager now recognises the presence of 'poedit' or 'poeditor' and will display a checkbox to choose between poedit and the default text editor.

Note, I had a play with poedit, maybe I didn't really appreciate it's capabilities, as I still prefer to use Geany to edit po files.

Here is the momanager file:
http://bkhome.org/fossil/woof2.cgi/artifact/d5812623fa650d95fe1deca39bf9bcabd4973ab9


Posted on 17 Feb 2012, 20:12


Comments:

Posted on 18 Feb 2012, 8:59 by BarryK
LANG in MoManager
rodin.s reported that poedit should not run with LANG=C. Hmmm, yes, geany is also running with LANG=C.

I have fixed it, grab latest momanager from here:
http://bkhome.org/fossil/woof2.cgi/artifact/bd2e85fdab0c0a49b6ac0d6aaef12e37de6f1440

The commit is:
http://bkhome.org/fossil/woof2.cgi/info/edebc7e525



Posted on 20 Feb 2012, 6:43 by rodin.s
Russian langpack update
Momanager with Poedit is good translation tool. Very convenient.
I have updated Russian langpack. There is an updated quicksetup.mo in it. Also I have translated sss-files. Boot messages are translated.
One more thing. Three icons in PuppyPin are too close for Russian: setup, edit and console. Maybe x-coordinates of these icons should be changed: setup to 302, edit to 374 and console to 438.


Posted on 20 Feb 2012, 7:44 by BarryK
Re desktop icon spacing
rodin.s,
Maybe pinstall.sh in the PET pkg could modify PuppyPin icon coordinates.

Note, /usr/local/petget/installpkg.sh did not a TEXTDOMAIN variable. I have now set it to "petget__installpkg.sh", Woof commit not yet uploaded.



Posted on 21 Feb 2012, 18:10 by BarryK
poedit sfs
I think this poedit SFS was created by shinobar, I have uploaded it here (9.7MB):

http://distro.ibiblio.org/quirky/sfs/poedit-1.4.2-4.sfs

Not compiled in Wary or Racy though, so the libs are not exactly "right", but it does work.

Anyone want to volunteer to compile it in Wary? (it will work in Racy too, and due to the older X libs and less deps will work in just about any other pup too -- the advantage of compiling stuff in wary (not older 4.x pups though)